<?php
ob_clean();
header('Content-Type: application/atom+xml; charset=utf-8');
print '<?xml version="1.0" encoding="utf-8"?>';
$siteref = (empty($_SERVER['HTTPS']) ? 'http' : 'https') . '://' . $_SERVER['HTTP_HOST'];
?>

<feed xmlns="http://www.w3.org/2005/Atom">
	<title>Lijtweg.nl</title>
	<subtitle>Nieuwsberichten</subtitle>
	<id><?= $siteref ?>/</id>
	<link href="<?= $siteref ?>/" />
	<link href="<?= $siteref . $_SERVER['REQUEST_URI'] ?>" rel="self" />
	<author><name>Lijtweg</name></author>
<?php
$root = preg_replace('{/feed$}', '', $Page) . "/2???";
$pages = array_reverse(glob("$root/*.html"));

foreach ($pages as $i => $page) {
	$article = new ArchiveArticle($page);
	if (!$i) {
		// feed metadata from top (most recent) article
		print "\t<updated>{$article->lastiso}</updated>\n";
	}
?>

	<entry>
		<id><?= $siteref . '/' . $article->link ?></id>
		<link href="<?= $siteref . '/' . $article->link ?>" />
		<title><?= $article->title ?></title>
		<published><?= $article->dateiso ?></published>
		<updated><?= $article->dateiso ?></updated>
		<content type="html"><?= htmlspecialchars($article->story) ?>
		</content>
<?php
	if ($article->thumb) {
		printf("\t\t".'<link rel="enclosure" type="%s" href="%s"%s />'."\n",
			'image/jpeg',
			"$siteref/{$article->thumb}",
			file_exists($article->thumb) ? sprintf(' length="%d"', filesize($article->thumb)) : ''
		);
	}
?>
	</entry>
<?php
}
?>
</feed>
<?php
exit;
